Package twisted :: Package web :: Package woven :: Module controller :: Class LiveController |
[frames | no frames]

## Class LiveController

    Resource --+
               |
      Controller --+
                   |
                  LiveController

Known Subclasses:
  `LivePage`

A Controller that encapsulates logic that makes it possible for this page to be "Live". A live page can have it's content updated after the page has been sent to the browser, and can translate client-side javascript events into server-side events.

Method Summary
| ``clientToServerEvent`(self, request, eventName, eventTarget, eventArgs)` The client sent an asynchronous event to the server.
| `domChanged(self, request, widget, node)`
| `gatheredControllers(self, v, d, request)`
| ``render`(self, request)` First, check to see if this request is attempting to hook up the output conduit.
| `wchild_FlashConduit_swf(self, request)`
| `wchild_input_html(self, request)`
| `wchild_WebConduit2_js(self, request)`
Inherited from Controller
| ``__init__`(self, m, inputhandlers, view, controllers, templateDirectory)`
| ``aggregateInvalid`(self, request, input, data)`
| ``aggregateValid`(self, request, input, data)`
| ``exit`(self, request)` We are done handling the node to which this controller was attached.
| ``getChild`(self, name, request)` Look for a factory method to create the object to handle the next segment of the URL.
| ``getDynamicChild`(self, name, request)` This method is called when getChild cannot find a matching wchild_* method in the Controller.
| ``getSubcontroller`(self, request, node, model, controllerName)`
| ``handle`(self, request)` By default, we don't do anything
| ``importControllerLibrary`(self, namespace)`
| ``makeView`(self, model, templateFile, parentCount)`
| ``pageRenderComplete`(self, request)` Override this to recieve notification when the view rendering process is complete.
| ``process`(self, request, **kwargs)`
| ``renderView`(self, request)`
| ``setNode`(self, node)`
| ``setSubcontrollerFactory`(self, name, factory, setup)`
| ``setSubmodel`(self, submodel)`
| ``setUp`(self, request, *args)`
| ``setupControllerStack`(self)`
| ``setView`(self, view)`
| ``wchild_index`(self, request)` By default, we return ourself as the index.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
`NoneType` | `pageSession` = None
Inherited from Controller
`tuple` | `__implements__` = `(<class twisted.web.woven.interfaces.IC...`
`int` | `addSlash` = 1
`list` | `controllerLibraries` = `[]`
`int` | `setupStacks` = 1
`str` | `templateDirectory` = `''`
`NoneType` | `viewFactory` = None
Inherited from Resource
`int` | `isLeaf` = 0
`NoneType` | `server` = None

Method Details

### clientToServerEvent(self, request, eventName, eventTarget, eventArgs) The client sent an asynchronous event to the server. Locate the View object targeted by this event and attempt to call onEvent on it.

### render(self, request) First, check to see if this request is attempting to hook up the output conduit. If so, do it. Otherwise, unlink the current session's View from the MVC notification infrastructure, then render the page normally. Overrides: `twisted.web.woven.controller.Controller.render`

Class Variable Details

    ### pageSession Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net